---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libStopThreadTest.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0xE10, symBinAddr: 0x8B0, symSize: 0x190 }
  - { offsetInCU: 0x77, offset: 0x77, size: 0x8, addend: 0x0, symName: __ZZ16Agent_InitializeE4caps, symObjAddr: 0x1FB40, symBinAddr: 0x3030, symSize: 0x0 }
  - { offsetInCU: 0x8C, offset: 0x8C, size: 0x8, addend: 0x0, symName: __ZZ16Agent_InitializeE9callbacks, symObjAddr: 0x1FB50, symBinAddr: 0x3040, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1FC88, symBinAddr: 0x3178, symSize: 0x0 }
  - { offsetInCU: 0x8F19, offset: 0x8F19, size: 0x8, addend: 0x0, symName: __ZL7monitor, symObjAddr: 0x1FC90, symBinAddr: 0x3180, symSize: 0x0 }
  - { offsetInCU: 0x8F32, offset: 0x8F32, size: 0x8, addend: 0x0, symName: __ZL13exception_obj, symObjAddr: 0x1FC98, symBinAddr: 0x3188, symSize: 0x0 }
  - { offsetInCU: 0x8F4B, offset: 0x8F4B, size: 0x8, addend: 0x0, symName: __ZL5mid_B, symObjAddr: 0x1FCA0, symBinAddr: 0x3190, symSize: 0x0 }
  - { offsetInCU: 0x8F64, offset: 0x8F64, size: 0x8, addend: 0x0, symName: __ZL15bp_sync_reached, symObjAddr: 0x1FCA8, symBinAddr: 0x3198, symSize: 0x0 }
  - { offsetInCU: 0x9001, offset: 0x9001, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x880, symSize: 0x30 }
  - { offsetInCU: 0x9457, offset: 0x9457, size: 0x8, addend: 0x0, symName: __ZL10BreakpointP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0xFA0, symBinAddr: 0xA40, symSize: 0x1E0 }
  - { offsetInCU: 0x97E7, offset: 0x97E7, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1180, symBinAddr: 0xC20, symSize: 0x10 }
  - { offsetInCU: 0x98EF, offset: 0x98EF, size: 0x8, addend: 0x0, symName: _Java_StopThreadTest_prepareAgent, symObjAddr: 0x1190, symBinAddr: 0xC30, symSize: 0x150 }
  - { offsetInCU: 0x9C79, offset: 0x9C79, size: 0x8, addend: 0x0, symName: _Java_StopThreadTest_suspendThread, symObjAddr: 0x12E0, symBinAddr: 0xD80, symSize: 0x90 }
  - { offsetInCU: 0x9DE2, offset: 0x9DE2, size: 0x8, addend: 0x0, symName: _Java_StopThreadTest_resumeThread, symObjAddr: 0x1370, symBinAddr: 0xE10, symSize: 0x90 }
  - { offsetInCU: 0x9F25, offset: 0x9F25, size: 0x8, addend: 0x0, symName: _Java_StopThreadTest_stopThread, symObjAddr: 0x1400, symBinAddr: 0xEA0, symSize: 0x60 }
  - { offsetInCU: 0x9FF2, offset: 0x9FF2, size: 0x8, addend: 0x0, symName: _Java_StopThreadTest_ensureAtBreakpoint, symObjAddr: 0x1460, symBinAddr: 0xF00, symSize: 0x120 }
  - { offsetInCU: 0xA1C7, offset: 0xA1C7, size: 0x8, addend: 0x0, symName: _Java_StopThreadTest_notifyAtBreakpoint, symObjAddr: 0x1580, symBinAddr: 0x1020, symSize: 0x13C }
...
